10.9.0.2.7 Geodatabase

307
3
Jump to solution
02-18-2021 12:55 PM
Labels (1)
BrandonUnderwood1
New Contributor II

Hello,

Anyone have any compatibility information on 10.9.0.2.7 Geodatabase version? Is it compatible with the latest version of Enterprise (10.8.1)? Would we be better off with 10.8.1.2.6? 
Found this link which says "You do not have to keep your geodatabase and ArcGIS clients at the same release, but it is recommended that you do so." Anyone have further thoughts or insight?
https://pro.arcgis.com/en/pro-app/latest/help/data/geodatabases/overview/client-geodatabase-compatib...

Thank you!

Brandon

0 Kudos
1 Solution

Accepted Solutions
George_Thompson
Esri Frequent Contributor

Yes, that Enterprise Geodatabase version will work with "older" ArcGIS Enterprise versions, like 10.8.1.

The thing to watch out for in this case is new functionality that the Enterprise Geodatabase may provide at the ArcGIS Pro 2.7 / future 10.9 release that is not available at the 10.8.1 release.

Hope that helps!


--- George T.

View solution in original post

0 Kudos
3 Replies
George_Thompson
Esri Frequent Contributor

Yes, that Enterprise Geodatabase version will work with "older" ArcGIS Enterprise versions, like 10.8.1.

The thing to watch out for in this case is new functionality that the Enterprise Geodatabase may provide at the ArcGIS Pro 2.7 / future 10.9 release that is not available at the 10.8.1 release.

Hope that helps!


--- George T.
0 Kudos
TengkuSyaherahTengkuSuhairi
New Contributor

Hi George,

 

How about the geodatabase we have exported from 10.3.1 and imported to the new geodatabase version 10.9.1. It is supposedly readable right? and is there any possibilities in terms of data loss and is there any supported geodatabase in 10.3.1 that will not be supported in 10.9.? and what is the best practice that we have need to follow in exporting and importing the geodatabase XML? 

Any advice highly appreciate

0 Kudos
George_Thompson
Esri Frequent Contributor

I would think that if it imported with no errors, it should be readable. I am guessing that you used XML export . import to move the data (and or schema).

I would say that there is always a potential for data loss.

When you say:


... and is there any supported geodatabase in 10.3.1 that will not be supported in 10.9.?

Are you talking about the RDBMS versions supported between those releases?

--- George T.
0 Kudos